org.apache.mina.filter.keepalive

## Interface KeepAliveRequestTimeoutHandler

-     public interface KeepAliveRequestTimeoutHandler

  Tells `KeepAliveFilter` what to do when a keep-alive response message was not received within a certain timeout.
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static KeepAliveRequestTimeoutHandler` | `CLOSE` Closes the connection after logging.
    `static KeepAliveRequestTimeoutHandler` | `DEAF_SPEAKER` A special handler for the 'deaf speaker' mode.
    `static KeepAliveRequestTimeoutHandler` | `EXCEPTION` Throws a `KeepAliveRequestTimeoutException`.
    `static KeepAliveRequestTimeoutHandler` | `LOG` Logs a warning message, but doesn't do anything else.
    `static KeepAliveRequestTimeoutHandler` | `NOOP` Do nothing.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `keepAliveRequestTimedOut(KeepAliveFilter filter, IoSession session)` Invoked when `KeepAliveFilter` couldn't receive the response for the sent keep alive message.

- - ### Field Detail

    - #### NOOP

          static final KeepAliveRequestTimeoutHandler NOOP

      Do nothing.

    - #### LOG

          static final KeepAliveRequestTimeoutHandler LOG

      Logs a warning message, but doesn't do anything else.

    - #### EXCEPTION

          static final KeepAliveRequestTimeoutHandler EXCEPTION

      Throws a `KeepAliveRequestTimeoutException`.

    - #### CLOSE

          static final KeepAliveRequestTimeoutHandler CLOSE

      Closes the connection after logging.

    - #### DEAF_SPEAKER

          static final KeepAliveRequestTimeoutHandler DEAF_SPEAKER

      A special handler for the 'deaf speaker' mode.

  - ### Method Detail

    - #### keepAliveRequestTimedOut

          void keepAliveRequestTimedOut(KeepAliveFilter filter,
                                      IoSession session)
                                        throws Exception

      Invoked when `KeepAliveFilter` couldn't receive the response for the sent keep alive message.
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.